unit uHeOObj_Custom;
{$RTTI EXPLICIT METHODS([vcPublic, vcPublished]) FIELDS([vcPrivate, vcProtected, vcPublic, vcPublished]) PROPERTIES([vcPublic, vcPublished])}


interface
{$I 'GlobalDefs.inc'}

uses
  System.Generics.Collections,
  MVCFramework.Serializer.Commons,
  MVCFramework.ActiveRecord,
  MVCFramework.Nullables,
{$IFDEF SWAGGER}
  MVCFramework.Swagger.Commons,
{$ENDIF}
  helTabsBIDs,
  uHeoObj_Base;

const
  tblPlanNasazLisu = '[dbo].[_hdc_TabPlanNasazeniLisu]';
  tblPlanNasazLisuR = '[dbo].[_hdc_TabPlanNasazeniLisuR]';
  tblPlanNasazLisuVstr = '[dbo].[_hdc_TabPlanNasazeniLisuVstr]';
  tblPlanNasazLisuZm = '[dbo].[_hdc_TabPlanNasazeniLisuZmetky]';


type
  [MVCNameCase(ncLowerCase)]
  TKDYPlanLisu = class(THeliosObjekty)
   private
    FIndexZmeny: NullableInt32;
   public
    [MVCColumn('Cislo', true)] // is PrimaryKey
    property IndexZmeny: NullableInt32 read FIndexZmeny write FIndexZmeny;
  end;


implementation


end.